Name: Sjeng-Free
Version: 11.2
Release: 1%{?_dist_release}
Summary: Sjeng is a chessprogram that plays many variants.
Summary(ja): Sjeng は多くの変則チェスも遊べるチェスプログラムです。
Source: http://sjeng.org/ftp/Sjeng-Free-%{version}.tar.gz
URL: http://sjeng.org/indexold.html
License: GPL
Group: Applications/Games
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gdbm-devel
Vendor: Project Vine
Distribution: Vine Linux
Packager: IKEDA Katsumi <ikeda@webmasters.gr.jp>

%description
Sjeng currently plays standard chess, crazyhouse, bughouse,
suicide (aka giveaway or anti-chess) and losers. It can also
play variants which have the same rules as normal chess, but
a different starting position.

%description -l ja
Sjeng は現在、普通ののチェス、crazyhouse, bughouse, suicide (別名 giveaway また
は anti-chess) と losers をプレイします。駒を好きなように配置した状態から普通の
チェスと同じルールでプレイを開始することもできます。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%{__install} -d ${RPM_BUILD_ROOT}%{_datadir}/sjeng-free
%{__install} -d ${RPM_BUILD_ROOT}%{_datadir}/sjeng-free/books
%{__install} -d ${RPM_BUILD_ROOT}%{_datadir}/sjeng-free/tests
%{__install} books/*.opn ${RPM_BUILD_ROOT}%{_datadir}/sjeng-free/books
%{__install} tests/*.epd ${RPM_BUILD_ROOT}%{_datadir}/sjeng-free/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/sjeng
%{_datadir}/sjeng-free/books/bug.opn
%{_datadir}/sjeng-free/books/losers.opn
%{_datadir}/sjeng-free/books/suicide.opn
%{_datadir}/sjeng-free/tests/bk.epd
%{_datadir}/sjeng-free/tests/bt2630.epd
%{_datadir}/sjeng-free/tests/ecm98.epd
%{_datadir}/sjeng-free/tests/lct2.epd
%{_datadir}/sjeng-free/tests/wac.epd

%changelog
* Sun Oct 05 2008 Shu KONNO <owa@bg.wakwak.com> 11.2-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jul 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 11.2-0vl4
- rebuilt for VineSeed (4.0)

* Mon Aug 16 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 11.2-0vl3
- Rebuild for Vine Linux 3.0.

* Fri Jul 23 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 11.2-0vl2
- Added Packager and %%description -l ja.
- Modified %%install and %%files to install books and tests.
- Corrected redundancy ("./configure" and "make install").

* Fri Feb 13 2004 by IKEDA Katsumi  <ikeda@webmasters.gr.jp>
- 11.2-0vl1
- Initial spec file.
